• Register
  • Help
Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Topic: New GigaStudio 3 FAQ and system requirements

Share/Bookmark
  1. #1

    New GigaStudio 3 FAQ and system requirements

    TASCAM has just posted a new FAQ that includes system requirements and answers a few questions.

    http://www.tascamgiga.com/GigaStudio3FAQs.php

  2. #2

    Re: New GigaStudio 3 FAQ and system requirements

    Thanks Synthetic.....very helpful, and answered many of my questions :-)
    On the subject of GSIF2, I presume GSIF1 cards will be able to be updated to GSIF2 with driver updates, without the need to replace the hardware?

    Mal

  3. #3

    Re: New GigaStudio 3 FAQ and system requirements

    Sweet, thanks

  4. #4

    Re: New GigaStudio 3 FAQ and system requirements

    great now can you tell us about multiple liscense?
    also have 2.5 and i upgrade to 3 can i put 2.5 on my lowly extra p3

  5. #5

    Re: New GigaStudio 3 FAQ and system requirements

    Upgrading a card from GSIF1 to GSIF2 depends on te manufacturer of course, but so far it\'s only software. So far, we have GSIF2 drivers from Echo, Frontier Designs and TASCAM. All of the GSIF1 manufacturers are aware of the new spec and are working on it, from what I hear. We should have an updated hardware page soon.

    Multiple site licences are on the Giga site:

    GigaStudio 3 Orchestra
    First Copy: $599
    Subsequent Copies: $379

    GigaStudio 3 Ensemble
    First Copy: $369
    Subsequent Copies: $249

    Transferring Giga 2.5 to another machine, yeah I don\'t see why not. Customer service should be able to help you with that.

  6. #6

    Re: New GigaStudio 3 FAQ and system requirements

    RME also support GSIF2, but so far only the audio part. MIDI will follow.

  7. #7

    Re: New GigaStudio 3 FAQ and system requirements

    Synthetic, do you know whether Aardvark is also working on updating all their current audio interfaces to GSIF 2?

    Thanks.

    ----------------
    Alex Cremers

  8. #8

    Re: New GigaStudio 3 FAQ and system requirements

    How did you find out who supports GSIF2? Nothing on the giga hardware compatibliity page claims to say anything one way or another.

  9. #9

    Re: New GigaStudio 3 FAQ and system requirements

    Well now I\'m confused.

    In the FAQ it said to make sure your hardware is GSIF compatible, which I interpreted to mean that if your hardware already supports GSIF drivers, then it will support GSIF2 drivers.

    Not that I have any concerns, being a MOTU 2408 user. MOTUs got it all under control [img]/ubbthreads/images/graemlins/wink.gif[/img]

  10. #10

    Re: New GigaStudio 3 FAQ and system requirements

    [ QUOTE ]

    In the FAQ it said to make sure your hardware is GSIF compatible, which I interpreted to mean that if your hardware already supports GSIF drivers, then it will support GSIF2 drivers.


    [/ QUOTE ]

    I think it means that your hardware must be GSIF compatible, if you want it to work with GS3 in the normal, sampler mode.

    You need the GSIF2 MIDI part if you want the super-low latency of kernel MIDI.

    You need the GSIF2 Audio Input part if you want to run external audio through GS3\'s Giga Pulse.

    Whether or not a given manufacturer updates a given audio card\'s driver to GSIF2 is up to the manufacturer.

    Let\'s hope our GSIF2 drivers are reliable and available quickly!

Go Back to forum

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •